Bug 67367 - gcc segfaults when compiling speech_tools
gcc segfaults when compiling speech_tools
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-23 14:01 EDT by darkeye
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 16:32:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description darkeye 2002-06-23 14:01:06 EDT
Description of Problem:

gcc segfaults when compiling

Version-Release number of selected component (if applicable):

$ gcc --version
gcc (GCC) 3.1 20020522 (Red Hat Linux Rawhide 3.1-2)
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.



How Reproducible:

every time

Steps to Reproduce:
1. get the tarball at
http://www.cstr.ed.ac.uk/download/festival/1.4.2/speech_tools-1.2.2-release.tar.gz
2. untar
3. ./compile && make

Actual Results:

sigpr_frame.cc: In function `void sig2lpc(const EST_FVector&, EST_FVector&, 
   EST_FVector&, EST_FVector&)':
sigpr_frame.cc:496: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[1]: *** [sigpr_frame.o] Error 1
make: *** [sigpr] Error 2



Expected Results:

gcc should not segfault


Additional Information:
Comment 1 Jakub Jelinek 2002-07-01 04:22:51 EDT
1) Please try a newer gcc (such as gcc-3.1-7)
2) If it is still reproduceable, please submit preprocessed sigpr_frame.ii
   (add -save-temps to gcc command line in addition to the current options).
Comment 2 darkeye 2002-07-21 04:28:42 EDT
I tried with gcc 3.1-9, and it doesn't segfault any more. What I get is:

gcc -O3 -Wall -o ch_lab ch_lab_main.o -L../lib -lestools -L../lib -lestbase
-L../lib -leststring -ltermcap -ldl -lm -lstdc++
../lib/libestbase.a(vector_c_t.o): In function
`EST_TVector<char>::save(EST_String const&)':
vector_c_t.o(.gnu.linkonce.t._ZN11EST_TVectorIcE4saveERK10EST_String+0x163):
undefined reference to `void std::__pad<char, std::char_traits<char>
>(std::ios_base&, char, char*, char const*, int, int, bool)'
collect2: ld returned 1 exit status
make[1]: *** [ch_lab] Error 1
make: *** [main] Error 2


which might be a problem of the source code.
Comment 3 Jakub Jelinek 2004-10-02 16:32:02 EDT
Assuming it is fixed then.

Note You need to log in before you can comment on or make changes to this bug.